Description
Hello,

With trunk build package | don't have x permission on /usr/share/foreman-proxy/bin/smart-proxy.

Thx in advance

History

#1 - 06/07/2011 04:39 PM - Jochen Schalanda
- Status changed from New to Assigned
Hello Romain,

| cannot reproduce the problem you've described on any of my test systems (Debian Lenny and Squeeze, and Ubuntu Linux 8.04, 10.04, 10.10, and
11.04). Could you please elaborate on how exactly you've installed Smart-Proxy?

Did you use any of the provided Debian packages from the stable, testing, or nightly repository?
#2 - 06/07/2011 04:52 PM - Jochen Schalanda

- Project changed from Foreman to Smart Proxy

- Category changed from Packaging to Packaging
#3 - 06/08/2011 03:15 AM - Romain Vrignaud
Hello Jochen,

This problem comes when | build debian's foreman-proxy package from trunk with git repository up-to-date and debuild command.
Perhaps I'm doing something wrong. All is fine except the /usr/share/foreman-proxy/bin/smart-proxy's mode which is 644.

Regards

#4 - 06/11/2011 07:52 AM - Jochen Schalanda

Please make sure that the smart-proxy binary has sufficient permissions after you've cloned the repository and that the file system you're using is
supporting these (e. g. is POSIX compatible).

Our nightly builds basically just clone the git repository from GitHub, run dpkg-buildpackage or debuild, and move the resulting package to the
repository, so this should Just Work™.

#5 - 07/11/2011 03:26 AM - Ohad Levy

- Status changed from Assigned to Resolved
https://projects.theforeman.org/projects/smart-proxy/wiki/Installation_instructions#DebianUbuntu-packages
https://github.com/ohadlevy/smart-proxy
http://www.tcpdf.org

